/********************************************************************************
 * Copyright (c) 2019 EclipseSource and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
import { GLSPDiagramManager, GLSPNotificationManager, GLSPTheiaSprottyConnector } from '@eclipse-glsp/theia-integration/lib/browser';
import { MessageService } from '@theia/core';
import { WidgetManager } from '@theia/core/lib/browser';
import { EditorManager } from '@theia/editor/lib/browser';
import { TheiaFileSaver } from 'sprotty-theia';
import { WorkflowGLSPDiagramClient } from './workflow-glsp-diagram-client';
export declare class WorkflowDiagramManager extends GLSPDiagramManager {
    readonly diagramType = "workflow-diagram";
    readonly iconClass = "fa fa-project-diagram";
    readonly label: string;
    private _diagramConnector;
    constructor(diagramClient: WorkflowGLSPDiagramClient, fileSaver: TheiaFileSaver, widgetManager: WidgetManager, editorManager: EditorManager, messageService: MessageService, notificationManager: GLSPNotificationManager);
    get fileExtensions(): string[];
    get diagramConnector(): GLSPTheiaSprottyConnector;
}
//# sourceMappingURL=workflow-diagram-manager.d.ts.map