"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkflowDiagramManager = void 0;
/********************************************************************************
 * Copyright (c) 2019 EclipseSource and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
var browser_1 = require("@eclipse-glsp/theia-integration/lib/browser");
var core_1 = require("@theia/core");
var browser_2 = require("@theia/core/lib/browser");
var browser_3 = require("@theia/editor/lib/browser");
var inversify_1 = require("inversify");
var sprotty_theia_1 = require("sprotty-theia");
var workflow_language_1 = require("../../common/workflow-language");
var workflow_glsp_diagram_client_1 = require("./workflow-glsp-diagram-client");
var WorkflowDiagramManager = /** @class */ (function (_super) {
    __extends(WorkflowDiagramManager, _super);
    function WorkflowDiagramManager(diagramClient, fileSaver, widgetManager, editorManager, messageService, notificationManager) {
        var _this = _super.call(this) || this;
        _this.diagramType = workflow_language_1.WorkflowLanguage.DiagramType;
        _this.iconClass = 'fa fa-project-diagram';
        _this.label = workflow_language_1.WorkflowLanguage.Label + ' Editor';
        _this._diagramConnector = new browser_1.GLSPTheiaSprottyConnector({
            diagramClient: diagramClient, fileSaver: fileSaver, editorManager: editorManager, widgetManager: widgetManager,
            diagramManager: _this,
            messageService: messageService, notificationManager: notificationManager
        });
        return _this;
    }
    Object.defineProperty(WorkflowDiagramManager.prototype, "fileExtensions", {
        get: function () {
            return [workflow_language_1.WorkflowLanguage.FileExtension];
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(WorkflowDiagramManager.prototype, "diagramConnector", {
        get: function () {
            return this._diagramConnector;
        },
        enumerable: false,
        configurable: true
    });
    WorkflowDiagramManager = __decorate([
        inversify_1.injectable(),
        __param(0, inversify_1.inject(workflow_glsp_diagram_client_1.WorkflowGLSPDiagramClient)),
        __param(1, inversify_1.inject(sprotty_theia_1.TheiaFileSaver)),
        __param(2, inversify_1.inject(browser_2.WidgetManager)),
        __param(3, inversify_1.inject(browser_3.EditorManager)),
        __param(4, inversify_1.inject(core_1.MessageService)),
        __param(5, inversify_1.inject(browser_1.GLSPNotificationManager)),
        __metadata("design:paramtypes", [workflow_glsp_diagram_client_1.WorkflowGLSPDiagramClient,
            sprotty_theia_1.TheiaFileSaver,
            browser_2.WidgetManager,
            browser_3.EditorManager,
            core_1.MessageService,
            browser_1.GLSPNotificationManager])
    ], WorkflowDiagramManager);
    return WorkflowDiagramManager;
}(browser_1.GLSPDiagramManager));
exports.WorkflowDiagramManager = WorkflowDiagramManager;
//# sourceMappingURL=workflow-diagram-manager.js.map